# encoding: UTF-8
# This file is auto-generated from the current state of the database. Instead
# of editing this file, please use the migrations feature of Active Record to
# incrementally modify your database, and then regenerate this schema definition.
#
# Note that this schema.rb definition is the authoritative source for your
# database schema. If you need to create the application database on another
# system, you should be using db:schema:load, not running all the migrations
# from scratch. The latter is a flawed and unsustainable approach (the more migrations
# you'll amass, the slower it'll run and the greater likelihood for issues).
#
# It's strongly recommended that you check this file into your version control system.

ActiveRecord::Schema.define(version: 20130715171140) do

  create_table "admins", force: true do |t|
    t.string   "name"
    t.string   "firstname"
    t.string   "avatar"
    t.string   "username",               default: "", null: false
    t.string   "email",                  default: "", null: false
    t.string   "password_digest",        default: "", null: false
    t.string   "reset_password_token"
    t.datetime "reset_password_sent_at"
    t.datetime "remember_created_at"
    t.integer  "sign_in_count",          default: 0
    t.datetime "current_sign_in_at"
    t.datetime "last_sign_in_at"
    t.string   "current_sign_in_ip"
    t.string   "last_sign_in_ip"
    t.string   "remember_token"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "albums", force: true do |t|
    t.string   "name"
    t.boolean  "super_admin"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "articles", force: true do |t|
    t.datetime "published_at"
    t.string   "title"
    t.string   "slug"
    t.string   "tag"
    t.text     "description"
    t.boolean  "enabled"
    t.integer  "image_file_id"
    t.string   "tags_cache"
    t.string   "tags_cache_slug"
    t.integer  "category_id"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "artwork_images", force: true do |t|
    t.string   "image"
    t.integer  "position"
    t.integer  "artwork_id"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "artworks", force: true do |t|
    t.string   "title"
    t.text     "description"
    t.date     "creation_date"
    t.integer  "position"
    t.string   "art_type"
    t.integer  "portfolio_id"
    t.string   "tag"
    t.string   "tags_cache"
    t.string   "tags_cache_slug"
    t.integer  "artwork_image_id"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  add_index "artworks", ["portfolio_id"], name: "index_artworks_on_portfolio_id"

  create_table "block_contents", force: true do |t|
    t.integer  "style"
    t.integer  "nbr_columns"
    t.integer  "row1"
    t.integer  "row2"
    t.integer  "row3"
    t.integer  "row4"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "blocks", force: true do |t|
    t.string   "block_name"
    t.string   "blockable_type"
    t.integer  "blockable_id"
    t.text     "content"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "break_contents", force: true do |t|
    t.boolean  "line"
    t.integer  "height"
    t.string   "style"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "categories", force: true do |t|
    t.string   "name"
    t.string   "slug"
    t.boolean  "enabled"
    t.text     "description"
    t.integer  "image_file_id"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "cel_tables", force: true do |t|
    t.integer  "position"
    t.integer  "style"
    t.integer  "table_row_id"
    t.integer  "table_content_id"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "data_files", force: true do |t|
    t.string   "file"
    t.string   "name"
    t.string   "slug"
    t.string   "token"
    t.string   "description"
    t.integer  "file_folder_id"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "download_contents", force: true do |t|
    t.string   "title"
    t.string   "style"
    t.text     "description"
    t.integer  "data_file_id"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "dynamic_contents", force: true do |t|
    t.string   "name"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "external_links", force: true do |t|
    t.string   "title"
    t.text     "description"
    t.string   "url"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "file_folders", force: true do |t|
    t.string   "name"
    t.boolean  "super_admin"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "gallery_contents", force: true do |t|
    t.string   "name"
    t.text     "description"
    t.integer  "style"
    t.integer  "nbr_img"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "gallery_images", force: true do |t|
    t.string   "title"
    t.text     "description"
    t.string   "tags"
    t.integer  "position"
    t.integer  "image_file_id"
    t.integer  "gallery_content_id"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "html_contents", force: true do |t|
    t.text     "content"
    t.string   "style"
    t.string   "content_type"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "image_contents", force: true do |t|
    t.integer  "image_file_id"
    t.integer  "width"
    t.integer  "height"
    t.string   "alignement"
    t.boolean  "expandable"
    t.string   "style"
    t.string   "alt"
    t.integer  "cible_id"
    t.string   "cible_type"
    t.boolean  "with_cible"
    t.boolean  "popup"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "image_files", force: true do |t|
    t.string   "file"
    t.string   "name"
    t.string   "slug"
    t.text     "description"
    t.string   "tags"
    t.integer  "album_id"
    t.string   "photograph"
    t.string   "cible_type"
    t.integer  "cible_id"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "link_contents", force: true do |t|
    t.integer  "type"
    t.string   "name"
    t.string   "title"
    t.boolean  "popup"
    t.string   "url"
    t.string   "style"
    t.integer  "cible_id"
    t.string   "cible_type"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "map_contents", force: true do |t|
    t.string   "address"
    t.string   "name"
    t.integer  "view"
    t.boolean  "info_bule"
    t.integer  "zoom"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "menu_aliases", force: true do |t|
    t.integer  "menu_item_id"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "menu_items", force: true do |t|
    t.string   "name"
    t.string   "slug"
    t.string   "permalink"
    t.integer  "parent_id"
    t.integer  "position"
    t.boolean  "super_admin"
    t.boolean  "enabled"
    t.boolean  "visible"
    t.boolean  "deleted"
    t.integer  "menu_id"
    t.integer  "menu_content_id"
    t.string   "menu_content_type"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "menu_urls", force: true do |t|
    t.string   "url"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "menus", force: true do |t|
    t.string   "name"
    t.string   "max_levels"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "pages", force: true do |t|
    t.text     "title"
    t.text     "description"
    t.text     "keywords"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "photos", force: true do |t|
    t.string   "title"
    t.text     "description"
    t.integer  "position"
    t.string   "tag"
    t.string   "tags_cache"
    t.string   "tags_cache_slug"
    t.string   "image"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "portfolios", force: true do |t|
    t.string   "title"
    t.string   "slug"
    t.text     "description"
    t.integer  "artwork_id"
    t.boolean  "enabled"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  add_index "portfolios", ["artwork_id"], name: "index_portfolios_on_artwork_id"

  create_table "portlets", force: true do |t|
    t.integer  "block_id"
    t.integer  "content_id"
    t.string   "content_type"
    t.integer  "position"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "quotes", force: true do |t|
    t.text     "quote"
    t.string   "author"
    t.string   "tag"
    t.string   "tags_cache"
    t.string   "tags_cache_slug"
    t.boolean  "enabled"
    t.boolean  "public_from"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer  "photo_id"
  end

  add_index "quotes", ["photo_id"], name: "index_quotes_on_photo_id"

  create_table "table_contents", force: true do |t|
    t.integer  "style"
    t.integer  "nbr_rows"
    t.integer  "nbr_cols"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "table_rows", force: true do |t|
    t.integer  "position"
    t.integer  "style"
    t.integer  "table_content_id"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "tag_taggables", force: true do |t|
    t.string   "taggable_type"
    t.integer  "taggable_id"
    t.integer  "tag_id"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "tags", force: true do |t|
    t.string   "name"
    t.string   "slug"
    t.integer  "parent_id"
    t.boolean  "public"
    t.string   "taggable_type"
    t.integer  "taggable_id"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "text_contents", force: true do |t|
    t.string   "style"
    t.text     "content"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "title_contents", force: true do |t|
    t.text     "content"
    t.integer  "level"
    t.string   "style"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

end
